/*
 * Copyright 2001-2004 The Apache Software Foundation.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.juddi.datastore.dht;

import java.util.Vector;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.juddi.datatype.IdentifierBag;
import org.apache.juddi.datatype.request.FindQualifiers;
import org.apache.juddi.util.jdbc.DynamicQuery;

import dermi.DHTHandler;

/**
 * @author Oscar Barrios (oscar.barrios@estudiants.urv.es)
 */
class FindBusinessByIdentifierQuery {
	// private reference to the jUDDI logger
	private static Log log = LogFactory
			.getLog(FindBusinessByIdentifierQuery.class);

	static String selectSQL;
	static {
		/*
		 * // build selectSQL StringBuffer sql = new StringBuffer(200);
		 * sql.append("SELECT B.BUSINESS_KEY,B.LAST_UPDATE "); sql.append("FROM
		 * BUSINESS_ENTITY B,BUSINESS_IDENTIFIER I "); selectSQL =
		 * sql.toString();
		 */
	}

	/**
	 * Select ...
	 * 
	 * @param connection
	 *            DHT connection
	 */
	public static Vector select(IdentifierBag identifierBag, Vector keysIn,
			FindQualifiers qualifiers, DHTHandler connection) {
		log.debug("Not implemented");
		if ((keysIn != null) && (keysIn.size() == 0))
			return keysIn;

		Vector keysOut = new Vector();
		return keysOut;

	}

	/**
	 * 
	 */
	@SuppressWarnings("unused")
	private static void appendWhere(DynamicQuery sql,
			IdentifierBag identifierBag, FindQualifiers qualifiers) {
		log.debug("Not implemented");
	}

	/**
	 * Utility method used to construct SQL "IN" statements such as the
	 * following SQL example:
	 * 
	 * SELECT * FROM TABLE WHERE MONTH IN ('jan','feb','mar')
	 * 
	 * @param sql
	 *            StringBuffer to append the final results to
	 * @param keysIn
	 *            Vector of Strings used to construct the "IN" clause
	 */
	@SuppressWarnings("unused")
	private static void appendIn(DynamicQuery sql, Vector keysIn) {
		if (keysIn == null)
			return;
		log.debug("Not implemented");
	}

	/**
	 * 
	 */
	@SuppressWarnings("unused")
	private static void appendOrderBy(DynamicQuery sql,
			FindQualifiers qualifiers) {
		log.debug("Not implemented");
	}
}
